# Interface TransparencyInfoJson

TransparencyInfo is supported by opacityInfo in the JavaScript API. Except type and axis, all properties follow the syntax of the JavaScript API's opacityInfo property. It applies transparency to each feature based on the attribute values in a field. The exception is that the webmap JSON uses transparency (range 0 - 100, with 100 as completely transparent) instead of opacity (range 0 - 1, with 0 as completely transparent).

See https://developers.arcgis.com/web-map-specification/objects/transparencyInfo_visualVariable/ https://developers.arcgis.com/web-scene-specification/objects/transparencyInfo_visualVariable/.

interface TransparencyInfoJson {
field: string;
legendOptions?: {
showLegend?: boolean;
title?: string;
};
normalizationField?: string;
stops?: TransparencyStopJson[];
type: "transparencyInfo";
}

#### Hierarchy (view full)

- VisualVariableJsonBase
  - TransparencyInfoJson

#####
Index

### Properties

field
legendOptions?
normalizationField?
stops?
type

##
Properties

### field

field: string

A string value indicating the name of the feature attribute field that contains the data value to render.

Inherited from VisualVariableJsonBase.field

### `Optional` legendOptions

legendOptions?: {
showLegend?: boolean;
title?: string;
}

Options available for the legend.

#### Type declaration

- ##### `Optional` showLegend?: boolean

  Indicates whether to show color/size ramp in the legend.

- ##### `Optional` title?: string

  The title of the legend.

Overrides VisualVariableJsonBase.legendOptions

### `Optional` normalizationField

normalizationField?: string

String value indicating the name of the attribute field used to normalize the data.

Inherited from VisualVariableJsonBase.normalizationField

### `Optional` stops

stops?: TransparencyStopJson[]

An array of transparencyStop objects.

### type

type

The type of the VisualVariable.

Overrides VisualVariableJsonBase.type